- Qt 5.15
- Qt Core
- C++ Classes
- QPersistentModelIndex
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QPersistentModelIndex

The following members of class QPersistentModelIndex are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QModelIndex | child(int row, int column) const

## Member Function Documentation

### QModelIndex QPersistentModelIndex::child(int row, int column) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QAbstractItemModel::index() instead.

Returns the child of the model index that is stored in the given row and column.

See also parent() and sibling().